2010-12-15  Dan Fandrich <dan@coneharvesters.com>

	* Released 0.6.20

2010-10-19  Dan Fandrich <dan@coneharvesters.com>

	* po/gl.po: Added new Galician translation by Fran Diéguez
	* po/is.po: Updated Icelandic translation by Sveinn í Felli

2010-06-16  Dan Fandrich <dan@coneharvesters.com>

	* Adding and removing a thumbnail can now be done at the same time
	  as other options. This closes Debian bug #552102

2010-02-18  Dan Fandrich <dan@coneharvesters.com>

	* po/lv.po: Updated Latvian translation by Rihards Prieditis
	* Changed capitalization of Unknown Tag message to be consistent
	  with regular tag names

2010-01-25  Dan Fandrich <dan@coneharvesters.com>

	* po/ro.po: Added new Romanian translation by Sergiu Bivol
	* configure.ac: Turned on the --enable-silent-rules configure option

2009-12-30  Dan Fandrich <dan@coneharvesters.com>

	* po/sk.po: Updated Slovak translation by Ivan Masár

2009-12-16  Dan Fandrich <dan@coneharvesters.com>

	* Honour --machine-readable with --show-mnote

2009-12-11  Dan Fandrich <dan@coneharvesters.com>

	* Fixed a couple of memory leaks

2009-11-23  Dan Fandrich <dan@coneharvesters.com>

	* Honour --machine-readable with --show-mnote

2009-11-21  Dan Fandrich <dan@coneharvesters.com>

	* Increased the description width for the --list-tags command
	* Allow --set-value on UNDEFINED tags (treated as a byte array)

2009-11-20  Dan Fandrich <dan@coneharvesters.com>

	* Rewrote the --set-value parser to use strtok to stop a NULL pointer
	  dereference when too few components were given, and to make it
	  more forgiving of whitespace.
	* po/it.po: Updated Italian translation by Vincenzo Campanella

2009-11-19  Dan Fandrich <dan@coneharvesters.com>

	* --no-fixup now honoured during --create-exif to not create default
	  tags

2009-11-12  Dan Fandrich <dan@coneharvesters.com>

	* Released 0.6.19

2009-10-17  Dan Fandrich <dan@coneharvesters.com>

	* Fixed alignment of --list-tags header with --width

2009-10-16  Dan Fandrich <dan@coneharvesters.com>

	* po/ja.po: Added new Japanese translation by Tadashi Jokagi

2009-10-13  Dan Fandrich <dan@coneharvesters.com>

	* po/fi.po: Added new Finnish translation by Jorma Karvonen
	* po/sv.po: Updated Swedish translation by Daniel Nylander
	* po/vi.po: Updated Vietnamese translation by Clytie Siddall
	* po/zh_CN.po: Updated Chinese (simplified) translation by Ji ZhengYu

2009-10-12  Dan Fandrich <dan@coneharvesters.com>

	* Added argument description for --set-value and a missing translation
	  (pointed out by Jorma Karvonen)

2009-10-08  Dan Fandrich <dan@coneharvesters.com>

	* Released 0.6.18

2009-10-05  Dan Fandrich <dan@coneharvesters.com>

	* Updated translations from Translation Project members to the
	  latest & hopefully final .pot file before release

2009-09-30  Dan Fandrich <dan@coneharvesters.com>

	* Added --no-fixup to disable attempts to fix tags in existing files.
	  This involved creating a version of exif_loader_get_data
          (exif_get_data_opts) that allows ExifOption values to be set
          in the ExifData before it's used to store tags.
	* Added --width option to allow setting width of output

2009-09-28  Dan Fandrich <dan@coneharvesters.com>

	* Added the text of the LGPL V2.1 in COPYING so there isn't any
	  confusion as to the licensing terms of the project. GNU
	  autotools adds a GPL COPYING file by default if this doesn't
	  exist, which is wrong.

2009-09-18  Dan Fandrich <dan@coneharvesters.com>

	* po/de.po: Updated German translation by Marcus Meissner
	* po/sv.po: Updated Swedish translation by Daniel Nylander
	* po/vi.po: Updated Vietnamese translation by Clytie Siddall
	* po/zh_CN.po: Updated Chinese (simplified) translation by Ji ZhengYu

2009-09-17  Dan Fandrich <dan@coneharvesters.com>

	* po/da.po: Updated Danish translation by Joe Hansen 
	* po/id.po: Updated Indonesian translation by Andhika Padmawan
	* po/nl.po: Updated Dutch translation by Erwin Poeze
	* po/pl.po: Updated Polish translation by Jakub Bogusz

2009-09-03  Dan Fandrich <dan@coneharvesters.com>

	* po/is.po: Added Icelandic translation by Sveinn í Felli

2009-04-13  Dan Fandrich <dan@coneharvesters.com>

	* po/lv.po: Added Latvian translation by Rihards Prieditis
	* po/da.po: Updated Danish translation by Joe Hansen 
	* exif/actions.c: Allow setting signed & unsigned byte data

2009-01-21  Dan Fandrich <dan@coneharvesters.com>

	* exif/main.c: Create mandatory EXIF tags with the --create-exif option

2009-01-14  Dan Fandrich <dan@coneharvesters.com>

	* exif/main.c: Clarify the error when a file can't be read
	* exif/actions.c: --ifd is now honoured while displaying tag contents

2009-01-12  Dan Fandrich <dan@coneharvesters.com>

	* exif/main.c: Allow setting --tag=0 (needed for the GPS IFD)

2008-12-22  Dan Fandrich <dan@coneharvesters.com>

	* po/vi.po: Updated Vietnamese translation by Clytie Siddall

2008-11-28  Dan Fandrich <dan@coneharvesters.com>

	* po/it.po: Added new Italian translation by Vincenzo Campanella

2008-11-26  Dan Fandrich <dan@coneharvesters.com>

	* po/da.po: Updated Danish translation by Joe Hansen

2008-11-25  Dan Fandrich <dan@coneharvesters.com>

	* po/sk.po: Updated Slovak translation by Ivan Masár

2008-11-21  Dan Fandrich <dan@coneharvesters.com>

	* po/zh_CN.po: Updated Chinese (simplified) translation by Ji ZhengYu

2008-11-18  Dan Fandrich <dan@coneharvesters.com>

	* po/id.po: Updated Indonesian translation by Andhika Padmawan
	* po/nl.po: Updated Dutch translation by Erwin Poeze
	* po/pl.po: Updated Polish translation by Jakub Bogusz
	* po/sv.po: Updated Swedish translation by Daniel Nylander
	* exif.1: Added some examples of how to use the command-line

2008-11-11  Dan Fandrich <dan@coneharvesters.com>

	* po/zh_CN.po: Updated Chinese (simplified) translation by Ji ZhengYu

2008-11-06  Dan Fandrich <dan@coneharvesters.com>

	* Released 0.6.17

2008-11-05  Dan Fandrich <dan@coneharvesters.com>

	* po/de.po: Updated German translation by Marcus Meissner

2008-09-08  Dan Fandrich <dan@coneharvesters.com>

	Added Danish translation by Joe Hansen

2008-08-01  Dan Fandrich <dan@coneharvesters.com>

	Added Indonesian translation by Andhika Padmawan

2008-06-15  Lutz Mueller <lutz@users.sourceforge.net>

	Patch by Matthieu Castet <castet.matthieu@free.fr> (slightly
	modified):

	* actions.c (convert_arg_to_entry): Allow the setting of the user
	  comment tag.
	  (action_set_value): Add some debugging information.
	* main.c (main): When setting values, save the resulting data.

2008-04-10  Dan Fandrich <dan@coneharvesters.com>

	Added Slovak translation by Ivan Masár

2008-03-27  Dan Fandrich <dan@coneharvesters.com>

	Added Chinese (simplifed) translation by Ji ZhengYu

2008-03-20  Dan Fandrich <dan@coneharvesters.com>

	Added Vietnamese translation by Clytie Siddall

2008-02-22  Lutz Mueller <lutz@users.sourceforge.net>

	Make libexif-testsuite pass again (thanks to Dan Fandrich
	<dan@coneharvesters.com> for alerting me):

	* exif/actions.c: (action_remove_tag) Make both ifd and tag optional.
	(action_show_tag) Make ifd optional.
	* exif/main.c: (main) Don't require an ifd for the --remove option.

2008-02-17  Lutz Mueller <lutz@users.sourceforge.net>

	* exif/main.c: Move the remaining actions to...
	* exif/actions.[c,h]: ...here. While at it, implement a --create-exif
	option (suggestion and patch by Alexander Drozdov
	<dzal_mail@mtu-net.ru>). This needs latest libexif, therefore ...
	* configure.ac: ...require at least libexif 0.6.16.2.

2008-02-17  Lutz Mueller <lutz@users.sourceforge.net>

	In preparation of adding new command line options:

	* exif/main.c: Move more individual actions to...
	* exif/actions.[c,h]: ...here. That should make the file main.c more
	readable.

2008-02-10  Lutz Mueller <lutz@users.sourceforge.net>

	Patch by Alexander Drozdov <dzal_mail@mtu-net.ru>:

	* exif/utils.c (exif_tag_from_string): Speed improvements.

2008-01-10  Jan Patera <patera@users.sourceforge.net>

	* Added Svedish translation by Daniel Nylander <po@danielnylander.se>

2007-11-24  Dan Fandrich <dan@coneharvesters.com>

	* exif/main.c: Fixed a NULL dereference when the description of an
	the invalid tag is requested.

2007-11-07  Dan Fandrich <dan@coneharvesters.com>

	* exif/main.c: Fixed the output of -t and -s when iconv is configured.
	Load popt.h later so it works with popt-1.12.

2006-07-28  Lutz Mueller <lutz@users.sourceforge.net>

	Patch by Marek 'marx' Grac <mgrac@redhat.com>:

	* exif/actions.c: (show_entry_xml, show_xml, action_tag_list_xml) New.
	* exif/actions.h: Remove cruft.
	* exif/main.c: Provide an 'xml-output' option.

2006-03-23  Lutz Mueller <lutz@users.sourceforge.net>

	* exif/main.c: Add the command line option '--version'/'-v'.

2005-08-15  Lutz Mueller <lutz@users.sourceforge.net>

	Patch by Jakub Bogusz <qboosh@pld-linux.org>:

	* libexif/exif-i18n.h: Fix translation.
	* po/pl.po: New

2005-04-27  Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/main.c
	* libexif/actions.c: Use logging mechanism. Use new exif_tag_get_*
	functions.

2005-03-30  Jan Patera <patera@users.sourceforge.net>

	* libjpeg/jpeg-data/c: memset in jpeg_data_append_section().
	  Fix for truncated JPEGs: if 1st to the last byte was between 0xC0
	  and 0xFE, reading beyond allocated memory & possible crashes occured,
	  eventually screwed file was saved.

2005-03-30  Lutz Mueller <lutz@users.sourceforge.net>

	* exif/main.c: Always use a logging function to make errors fatal. This
	fixes #1169170.

2005-03-29  Lutz Mueller <lutz@users.sourceforge.net>

	* exif/main.c: Abort if anything goes wrong. Fixes #1054322.

2005-03-29  Lutz Mueller <lutz@users.sourceforge.net>

	* libjpeg/jpeg-data.c: Bring it in sync with libexif/libjpeg/jpeg-data.c

2005-03-29  Lutz Mueller <lutz@users.sourceforge.net>

	* libjpeg/jpeg-data.c: Don't crash. First part of fix for #1054322.
	Remainder will follow in libexif.

2005-03-16  Lutz Mueller <lutz@users.sourceforge.net>

	* exif/main.c: Fix for #994706.

2005-03-14  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* exif/main.c: remove email address from translatable string
	* exif/main.c: return exit code != 0 in case of invalid command line
	* configure.in, m4/*, exif/Makefile.am: Use updated build system
	  This should fix many build problems reported in the past.
	* po/*.po: Update translations for changed string, and %s vs. %m

2005-01-08  Lutz Mueller <lutz@users.sourceforge.net>

	Suggestion by Michael Rasmussen <mikeraz@patch.com>:

	* exif/main.c: Make '-m' together with '--tag' only print the value of
	  the tag, nothing else.

2004-12-05  Lutz Mueller <lutz@users.sourceforge.net>

	* exif/actions.c: Lars Ellenberg <l.g.e@web.de> found out that
	  on his system, fprintf ("%s", NULL) does not work.
	* exif/exif-utils.[c,h]: Remove some unused code.

2004-09-09  Lutz Mueller <lutz@users.sourceforge.net>

	* exif/configure.in: We depend on libexif 0.6.11.
	* exif/main.c: Use standard error titles and messages.

2004-08-31  Jan Patera <patera@users.sourceforge.net>

	* exif/main.c,actions.*: action_mnote_list can print
	  mnote tag ID instead of its name.
	  Code submitted by Serge Droz <serge.droz@psi.ch>.

2004-08-27  Lutz Mueller <lutz@users.sourceforge.net>

	* exif/exif-i18n.c: Some users don't have iconv.

2004-06-22  Lutz Mueller <lutz@users.sourceforge.net>

	* exif/actions.c: Don't crash if return value is NULL. Spotted by
	  Serge Droz <serge.droz@psi.ch>.
	  Kill warning.

2004-06-06  Lutz Mueller <lutz@users.sourceforge.net>

	* exif/actions.c: Try to fix segfault.

2004-06-06  Lutz Mueller <lutz@users.sourceforge.net>

	* exif/actions.c: Fix --show-mnote.

2004-05-27  Lutz Mueller <lutz@users.sourceforge.net>

	* configure.in: 0.6.10 as 0.6.9 has just been released.

2004-05-27  Lutz Mueller <lutz@users.sourceforge.net>

	* *: Now make distcheck works.

2004-05-24  Jan Patera <patera@users.sourceforge.net>

	* libjpeg/jpeg-data.[c,h]: jpeg_data_append_section changed
	  from static to public

2004-05-20  Lutz Mueller <lutz@users.sourceforge.net>

	* exif/*: Support for maker notes.
	* exif/main.c: Proposal for support of debugging messages.

2004-05-11  Jan Patera <patera@users.sourceforge.net>

	* libjpeg/jpeg-data.c: memory leak in jpeg_data_set_exif_data,
	  return type of jpeg_data_save_file

2004-04-04  Lutz Mueller lutz@users.sourceforge.net

	* configure.in: libmnote is no longer separate from libexif.

2004-01-08  Lutz Mueller <lutz@users.sourceforge.net>

	* exif/actions.c: Adapt to new API
	* configure.in: Require libexif-0.5.13.

2003-10-15  Lutz Mueller <lutz@users.sourceforge.net>
                                                                                
	* exif.spec.in: Patches by Peter Bieringer <pb@bieringer.de>.
                                                                                
2003-10-01  Lutz Mueller <lutz@users.sourceforge.net>

	* exif/exif-i18n.c: Patch to fix 64bit related crash by
	  Marcus Meissner (#784852).

2003-10-01  Lutz Mueller <lutz@users.sourceforge.net>

	* exif/actions.[c,h]:
	* exif/main.c: Add option --machine-readable. Patch by
	  Greg Baker (#761641).

2003-08-21  Lutz Mueller <lutz@users.sourceforge.net>

	* exif/exif-main.c: Patch by Roberto Costa <roberto.costa@ensta.org>
	  without ChangeLog entry. Does something with --set-value and
	  compiles without warnings...

2003-05-05  Lutz Mueller <lutz@users.sourceforge.net>

	* exif/exif-i18n.[c,h]: New. Suggested by Gernot Jander
	  <gernot@bigpond.com>.

2003-03-13  Lutz Mueller <lutz@users.sourceforge.net>

	* libjpeg/jpeg-data.c: Aravind aravinds1@users.sourceforge.net found
	  a bug there.

2003-02-11  Lutz Mueller <lutz@users.sourceforge.net>

	* exif/main.c: IRIS fixes by Andrea Suatoni
	  <a.suatoni@telefonica.net>.

2003-01-28  Lutz Mller <lutz@users.sourceforge.net>

	* exif/main.c: Change the description of '--output' from
	  'write output' to 'write data'. Should fix #671440.

2002-11-17  Rod Whitby <software.libexif@rwhitby.net>

	* configure.in:
	* exif/main.c:
	* exif/actions.c:
	* exif/actions.h:
	* exif/utils.c:
	* exif/utils.h: Added support for libmnote (MakerNote parsing).

	* exif/main.c: Changed show_entry to use exif_entry_dump.

	* exif/main.c: Fixed set_value for EXIF_FORMAT_ASCII.
	
2002-11-15  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Ok, I got the message. Let exif _optionally_ use
	  libmnote if available.

2002-11-15  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Make exif depend on libmnote. This library isn't used
	  yet, but that's subject to change.

2002-10-23  Lutz Müller <lutz@users.sourceforge.net>

	* exif/main.c: s/poptPrintUsage/poptPrintHelp

2002-10-22  Lutz Müller <lutz@users.sourceforge.net>

	* exif/main.c: Fix segfault.

2002-10-22  Lutz Müller <lutz@users.sourceforge.net>

	* exif/main.c: Print usage if no arguments are given. Save modified
	  files on --remove-ifd and --remove. Try to avoid a segfault.

2002-10-21  Lutz Müller <lutz@users.sourceforge.net>

	* exif/main.c: --remove-thumbnail and --remove [tag,ifd] as
	  requested by Marko Mäkelä <Marko.Makela@HUT.FI>.

2002-09-16  Lutz Müller <lutz@users.sourceforge.net>

	* exif.1: Donated by Thomas Pircher <thomas.pircher@gmx.net>

2002-09-15  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in:
	* exif/main.c:
	* exif/actions.c: IRIS fixes by Andrea Suatoni
	  <a.suatoni@telefonica.net>

2002-09-15  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in:
	* po/es.po: Spanish translation by Fabian Mandelbaum
	  <fabman@2vias.com.ar>

2002-08-30  Lutz Müller <lutz@users.sourceforge.net>

	* exif/main.c: Make sure people don't try too save too much EXIF data.

2002-08-06  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Check for locale.h
	* exif/main.c: Only use setlocale if locale.h is availabe.

2002-07-25  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Version 0.5. Require at least libexif-0.5.4.
	* exif: Adapt to new API. Prepare --set-value.

2002-06-10  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Version 0.4

2002-06-10  Lutz Müller <lutz@users.sourceforge.net>

        * configure.in: We need autoconf > 2.50.

2002-06-09  Lutz Müller <lutz@users.sourceforge.net>

	Internationalization.

2002-06-08  Lutz Müller <lutz@users.sourceforge.net>

	* exif: --insert-thumbnail option.

2002-06-03  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Version 0.3

2002-06-03  Lutz Müller <lutz@users.sourceforge.net>

	Patch by Guido Ostkamp <Guido.Ostkamp@t-online.de>:

	* exif/main.c: Fix pointer error.

2002-04-15  Lutz Müller <lutz@users.sourceforge.net>

	* exif/main.c: Print a warning if no EXIF data can be found.
	* exif/actions.c: Don't segfault.

2002-04-04  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am: dded .tar.bz2 packaging to "make dist"

2002-04-04  Lutz Müller <lutz@users.sourceforge.net>

	* exif/main.c: Old versions of popt.h don't define POPT_TABLEEND.

2002-02-12  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Version 0.2
